%define name libmikmod
%define version 3.1.10
%define release 7mdk

%define major 2
%define libname %mklibname mikmod %{major}

Summary: A portable sound library for Unix.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://mikmod.org/files/libmikmod/%{name}-%{version}.tar.bz2
Patch0: libmikmod-3.1.10-dspbusy-nonblock.patch.bz2
Patch1: libmikmod-3.1.10-lib64.patch.bz2
License: GPL/LGPL
Group: System/Libraries
URL: http://mikmod.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPreReq: libtool
# Author: Miod Vallat <miod@mikmod.org>

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.  

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include mod, stm, s3m, mtm, xm, and it.
Full source included, use of this library for music/sound effects in
your own programs is encouraged !

%package -n %{libname}
Summary: A portable sound library for Unix.
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include mod, stm, s3m, mtm, xm, and it.
Full source included, use of this library for music/sound effects in
your own programs is encouraged !

%package -n %{libname}-devel
Summary: Header files and libraries for developing apps which will use libmikmod.
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.  

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include mod, stm, s3m, mtm, xm, and it.
Full source included, use of this library for music/sound effects in
your own programs is encouraged!

Install the limikmod-devel package if you want to develop applications that
will use the limikmod library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0
%patch1 -p1 -b .lib64

%build
%configure --disable-esd --disable-alsa
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
mv $RPM_BUILD_ROOT/%_mandir/man1/libmikmod-config.1 $RPM_BUILD_ROOT/%_mandir/man1/libmikmod2-config.1

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig
%{__install_info} %{_infodir}/mikmod.info.bz2 %{_infodir}/dir --entry="* MikMod: (mikmod).            MikMod Sound Library."

%postun -n %{libname} -p /sbin/ldconfig

%preun -n %{libname}
if [ "$1" = 0 ]; then
  %{__install_info} --delete %{_infodir}/mikmod.info.bz2 %{_infodir}/dir --entry="* MikMod: (mikmod).            MikMod Sound Library."
fi

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING.LESSER COPYING.LIB INSTALL
%doc NEWS README TODO
%{_libdir}/libmikmod.so.*
%{_mandir}/man1/*
%{_infodir}/*

%files -n  %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING.LESSER COPYING.LIB INSTALL NEWS README TODO
%{_libdir}/*.so
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/*
%{_includedir}/*

%changelog
* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.10-7mdk
- rebuild for new devel provides

* Wed Jun 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.1.10-5mdk
- mklibname macro

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.10-4mdk
- rebuild

* Wed Nov 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.10-3mdk
- Fix %%doc
- Patch1: Make it lib64 aware

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.10-2mdk
- Use %%configure to get libtoolize'ation and other stuff in

* Fri Jan 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.10-1mdk
- new version

* Thu Jan 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-8mdk
- versioned manpage

* Tue Jun 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.9-7mdk
- don't block on a busy dsp

* Tue Mar 27 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.9-6mdk
- fix Obsoletes for upgrades, and Provides for lib policy
- fix install_info stuff

* Fri Mar 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-4mdk
- split

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-4mdk
- build for gcc-2.96
- capitalized summary
- fix requires

* Tue Sep 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-3mdk
- disable alsa, from :
	Goetz Waschk <waschk@linux-mandrake.com> 
	- removed alsa support, it caused segfaults

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1.9-2mdk
- macroszifications
- fix hte filelist (*.so goes to devel not main)
- rebuild for BM

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-1mdk
- v 3.1.9
- fix group
- add doc
- spechelper fix

* Sat Feb 05 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added .so in %files section (reported by David Mihm
  <dmihm@rchitecture.com>).

* Fri Nov 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 3.1.8.

* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added .la file.

* Sat Jul 17 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- downgraded to version 3.1.6 for xmms compatibilty.

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.
